
#include <QApplication>
#include <QIcon>
#include <QSplashScreen>
#include <QTime>

#include "MainWindow.h"

namespace util {

void wait(int value)
{
	QTime t;
	t.start();
	int s = t.second() + value*1000;
	int e = t.elapsed();
	while (e < s)
	{
		e = t.elapsed();
	}
}

}

int main(int argc, char *argv[])
{
    Q_INIT_RESOURCE(Sudoka);

    QApplication app(argc, argv);

	QPixmap pixmap(":/images/SudokaImg.png");
	QSplashScreen *splash = new QSplashScreen(pixmap);
	//splash->show();
	//splash->showMessage("Chargement du programme...");
	//util::wait(2);

    MainWindow *mainWin = new MainWindow;
	mainWin->setWindowIcon(QIcon(":/images/Sudoka.png"));
    mainWin->show();

	//splash->finish(mainWin);
	delete splash;

    return app.exec();
}
